Loading...
Searching...
No Matches
Timer
Utilities

## Functions

double | magma_wtime (void)
double | magma_sync_wtime (magma_queue_t queue)
| Calls magma_queue_sync() to synchronize, then returns current time.
void | magmaf_wtime (double *time)
| Version of magma_wtime() that is callable from Fortran.

## Detailed Description

## Function Documentation

## magma_wtime()

double magma_wtime | ( | void |  | ) |

Returns
  Current wall-clock time in seconds. Resolution is from gettimeofday.

## magma_sync_wtime()

double magma_sync_wtime | ( | magma_queue_t | queue | ) |

Calls magma_queue_sync() to synchronize, then returns current time.

Parameters

  [in] | queue | Queue to synchronize.

Returns
  Current wall-clock time in seconds. Resolution is from gettimeofday.

## magmaf_wtime()

void magmaf_wtime | ( | double * | time | ) |

Version of magma_wtime() that is callable from Fortran.

Parameters

  [out] | time | On output, set to current wall-clock time in seconds. Resolution is from gettimeofday.